SPA Users
SPA: Creates a new User
Creates a new user for the authenticated user's client. Password is auto-generated and sent via email. Requires ROLE_ADMIN.
/api/spa/usersAuthorizations
Value for the X-AUTH-TOKEN header parameter.
Request Body
The new User resource
{
"id": 123,
"email": "user@example.com",
"roles": [
"string"
],
"invalidRoleValues": [
"string"
],
"adminNote": "string",
"password": "string",
"active": true,
"lastLoginDate": "2024-08-23T00:00:00+00:00",
"previousLoginDate": "2024-08-23T00:00:00+00:00",
"releaseNotesDate": "2024-08-23T00:00:00+00:00",
"authCode": "string",
"locale": "en",
"signature": "string",
"sharePointEmail": "user@example.com",
"client": {},
"subClient": {},
"createdBy": "user1@company.com",
"updatedBy": "user1@company.com",
"createdAt": "2024-08-23T00:00:00+00:00",
"updatedAt": "2024-08-23T00:00:00+00:00",
"userIdentifier": "string",
"emailAuthEnabled": true,
"emailAuthRecipient": "user@example.com",
"emailAuthCode": "user@example.com",
"subClientId": 3,
"subClientDescription": "Branch Office A",
"subClientColor": "#083E5D"
}Response
User resource created
Personal signature image (base64 encoded PNG, without data-URI prefix).
Microsoft 365 account email used for SharePoint document editing when it differs from the application login email.
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
A visual identifier that represents this user.
SubClient ID. Provided on instances with enabled sub-client module only.
SubClient description. Provided on instances with enabled sub-client module only.
SubClient display colour. Provided on instances with enabled sub-client module only.